UMAD_GET_MAD_ADDR(3)

NAME
umad_get_mad_addr - get the address of the ib_mad_addr from a umad buffer

SYNOPSIS
#include <infiniband/umad.h>

ib_mad_addr_t * umad_get_mad_addr(void *umad);

DESCRIPTION
umad_get_mad_addr() returns a pointer to the ib_mad_addr struct within the specified umad buffer.

RETURN VALUE
The return value is a pointer to an ib_mad_addr_t struct, as specified in <infiniband/umad.h>.

typedef struct ib_mad_addr {
uint32_t qpn;
uint32_t qkey;
uint16_t lid;
uint8_t  sl;
uint8_t  path_bits;
uint8_t  grh_present;
uint8_t  gid_index;
uint8_t  hop_limit;
uint8_t  traffic_class;
uint8_t  gid[16];
uint32_t flow_label;
} ib_mad_addr_t;

AUTHOR

Hal Rosenstock <halr@voltaire.com>